#
# spec file for package rpm (Version 4.4.2)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rpm
BuildRequires:  lzma-alpha-devel python-devel
License:        GPL v2 or later
Group:          System/Packages
Provides:       rpminst
Requires:       build-key
%define       popt_version 1.7
PreReq:         %insserv_prereq %fillup_prereq popt = %{popt_version} permissions
AutoReqProv:    on
Summary:        The RPM Package Manager
Version:        4.4.2
Release:        43.40.64
Source:         rpm-%{version}.tar.bz2
Source1:        RPM-HOWTO.tar.bz2
Source2:        RPM-Tips.html.tar.bz2
Source3:        RPM-Changes.html.tar.bz2
Source4:        rpm-suse_macros
Source5:        rpmsort
Source6:        symset-table
Source8:        rpmconfigcheck
Source9:        sysconfig.services-rpm
Source10:       elfutils-0.97.tar.bz2
Source11:       beecrypt-4.1.2.tar.bz2
#$Source12:     neon-0.24.7.tar.bz2
Source13:       rpm-suse-kernel-module-subpackage
Patch0:         rpm-4.4.2.diff
Patch1:         rpmqpack.diff
Patch2:         elfutils-0.97.diff
Patch3:         beecrypt-4.1.2.diff
#Patch4:       neon-0.24.7.diff
Patch5:         db.diff
Patch6:         modalias.diff
Patch7:         rpm-4.4.2-fix.diff
Patch8:         modalias-fix.diff
Patch9:         noautoreloc.diff
Patch10:        lzma-payload.diff
Patch11:        modalias-hexenc.diff
Patch12:        find-debuginfo.diff
Patch13:        repackage-nomd5.diff
Patch14:        safeugid.diff
Patch15:        fixsbits.diff
Patch16:        default_fuzz_0.diff
Patch17:        rpm-4.4.2.3-no-order-rescan-limit.patch
#
# Source9 reserved for separate popt sources if neccessary.
# Don't use it for something else, or prep will fail.
# Source9:      popt-%{popt_version}.tar.gz
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#

%description
RPM Package Manager is the main tool for managing the software packages
of the SuSE Linux distribution.

RPM can be used to install and remove software packages. With rpm, it
is easy to update packages.  RPM keeps track of all these manipulations
in a central database.	This way it is possible to get an overview of
all installed packages.  RPM also supports database queries.



Authors:
--------
    Erik Troan <ewt@redhat.com>
    Marc Ewing <marc@redhat.com>

%package devel
Summary:        Include Files and Libraries mandatory for Development.
License:        GPL v2 or later
Group:          System/Packages
Requires:       rpm = %{version}
Requires:       popt-devel

%description devel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs which
manipulate RPM packages and databases and are intended to make it
easier to create graphical package managers or any other tools that
need an intimate knowledge of RPM packages in order to function.



Authors:
--------
    Erik Troan <ewt@redhat.com>
    Marc Ewing <marc@redhat.com>

%package python
License:        GPL v2 or later
Summary:        Python Bindings for Manipulating RPM Packages
Group:          System/Packages
Requires:       rpm = %{version}
%define pyver %(python -c 'import sys; print sys.version[:3]')
Requires:       python >= %pyver

%description python
The rpm-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by RPM Package Manager libraries.

This package should be installed if you want to develop Python programs
that will manipulate RPM packages and databases.



Authors:
--------
    Erik Troan <ewt@redhat.com>
    Marc Ewing <marc@redhat.com>

%prep
%setup -q
rm -rf sqlite
rm -rf elfutils
rm -rf beecrypt
tar xjf %{SOURCE10}
ln -s elfutils-0.97 elfutils
# remove all OSL stuff
rm -rf elfutils/doc elfutils/libebl elfutils/libdw elfutils/libcpu elfutils/libasm elfutils/src elfutils/po elfutils/tests
rm -rf elfutils/lib/dynamicsizehash.c elfutils/lib/dynamicsizehash.h elfutils/lib/list.h elfutils/lib/xmalloc.c elfutils/lib/xstrdup.c elfutils/lib/xstrndup.c
tar xjf %{SOURCE11}
ln -s beecrypt-4.1.2 beecrypt
#tar xjf %{SOURCE12}
#ln -s neon-0.24.7 neon
# will get linked from db3
rm -f rpmdb/db.h
# separate popt source
# %setup -q -D -T -a 9
# mv popt popt.orig
# ln -s popt-%{popt_version} popt
%patch -P 0 -P 7 -P 1 -P 2 -P 3 -P 5 -P 9 -P 10 -P 12
%patch -p1 -P 6 -P 8 -P 11
%patch -P 13 -P 14 -P 15 -P 16 -P 17
chmod 755 scripts/find-supplements{,.ksyms}
chmod 755 scripts/find-provides.ksyms scripts/find-requires.ksyms
# bunzip2 < %{SOURCE7} > po/de.po
#for arch in powerpc powerpc64 s390 s390x sparc sparc64 x86_64; do # ELF64 checks
#	ln -s elf64-linux.req  autodeps/$arch-linux.req  # "(64bit)" requires
#	ln -s elf64-linux.prov autodeps/$arch-linux.prov # "(64bit)" provides
#done
#ln -s elf64-linux.req autodeps/ia64-linux.req
#cp -p %{SOURCE12} autodeps/ia64-linux.prov
tar -xjvf %{SOURCE1}
tar -xjvf %{SOURCE2}
tar -xjvf %{SOURCE3}
#mv autodeps/linux.prov autodeps/linux.prov.orig
#mv autodeps/linux.req  autodeps/linux.req.orig
#cp -p %{SOURCE10} autodeps/linux.prov
#cp -p %{SOURCE11} autodeps/linux.req
#chmod 755 autodeps/linux.prov autodeps/linux.req
###
###
if [ -s /etc/rpm/suse_macros ]; then
	cp -a /etc/rpm/suse_macros %{SOURCE4}
fi
cp -a %{SOURCE4} suse_macros
rename no nb po/no.* popt/po/no.*

%build
%{?suse_update_config:%{suse_update_config -f popt}}
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%ifarch alpha
export CFLAGS="-g -O0 -fno-strict-aliasing"
%endif
#cp popt/autogen.sh zlib
rm -rf zlib
cp popt/autogen.sh beecrypt
cp popt/autogen.sh libelf
cp popt/autogen.sh elfutils
cp popt/autogen.sh file
# cp popt/autogen.sh neon
./autogen.sh --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --libdir=/usr/lib --sysconfdir=/etc --localstatedir=/var --with-lua --without-selinux --enable-shared
rm po/de.gmo
make %{?jobs:-j%jobs}
(cd popt; gcc -shared  .libs/popt.o .libs/findme.o .libs/poptparse.o .libs/poptconfig.o .libs/popthelp.o $RPM_OPT_FLAGS -Wl,-soname -Wl,libpopt.so.1 -o .libs/libpopt.so.1.0.0)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/share/locale
ln -s ../share/locale $RPM_BUILD_ROOT/usr/lib/locale
make DESTDIR="$RPM_BUILD_ROOT" install
cp popt/.libs/libpopt.so.1.0.0 $RPM_BUILD_ROOT/%{_libdir}
ln -sf libpopt.so.1.0.0 $RPM_BUILD_ROOT/%{_libdir}/libpopt.so.1
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 755 %{SOURCE8} $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -sf ../../etc/init.d/rpmconfigcheck $RPM_BUILD_ROOT/usr/sbin/rcrpmconfigcheck
cp -a suse_macros $RPM_BUILD_ROOT/usr/lib/rpm
mv $RPM_BUILD_ROOT/usr/src/* $RPM_BUILD_ROOT/usr/src/packages
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
mkdir -p $RPM_BUILD_ROOT/var/spool/repackage
rm -rf $RPM_BUILD_ROOT/usr/include/beecrypt $RPM_BUILD_ROOT/usr/include/libelf $RPM_BUILD_ROOT/%{_libdir}/libbeecrypt* $RPM_BUILD_ROOT/usr/lib/libelf*
gzip -9 $RPM_BUILD_ROOT/%{_mandir}/man[18]/*.[18]
export RPM_BUILD_ROOT
%ifarch s390x
[ -f scripts/brp-%_arch-linux ] && sh scripts/brp-%_arch-linux
%endif
chmod 755 doc/manual
rm -f $RPM_BUILD_ROOT/usr/lib/rpmpopt
rm -rf $RPM_BUILD_ROOT%{_mandir}/{fr,ja,ko,pl,ru,sk}
rm -f $RPM_BUILD_ROOT%{_prefix}/share/locale/de/LC_MESSAGES/rpm.mo
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
install -c -m0644 %{SOURCE9} $RPM_BUILD_ROOT/var/adm/fillup-templates/
rm -f $RPM_BUILD_ROOT/usr/lib/rpm/cpanflute $RPM_BUILD_ROOT/usr/lib/rpm/cpanflute2
find $RPM_BUILD_ROOT/usr/src/packages/* -type d | sed -e "s@$RPM_BUILD_ROOT@@" | sort > $RPM_BUILD_ROOT/usr/lib/rpm/permlist
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/usr/lib/rpm
install -m 755 %{SOURCE6} $RPM_BUILD_ROOT/usr/lib/rpm
install -m 755 scripts/find-supplements{,.ksyms} $RPM_BUILD_ROOT/usr/lib/rpm
cp -a %{SOURCE13} $RPM_BUILD_ROOT/usr/lib/rpm
rm -f $RPM_BUILD_ROOT/usr/lib/locale $RPM_BUILD_ROOT/usr/lib/rpmrc
# remove -llzma from .la file, it's included in librpmio.so
perl -pi -e 's/ -llzma//' $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_only -an services}
%run_permissions
test -f var/lib/rpm/Packages || rpm --initdb
if test -s var/lib/rpm/packages.rpm ; then
  echo "converting rpm-3 database to rpm-4 format..."
  usr/lib/rpm/convertdb1 var/lib/rpm/packages.rpm
  mv -f var/lib/rpm/packages.rpm var/lib/rpm/packages.rpm3
  rm -f var/lib/rpm/conflictsindex.rpm var/lib/rpm/fileindex.rpm var/lib/rpm/groupindex.rpm var/lib/rpm/nameindex.rpm var/lib/rpm/providesindex.rpm var/lib/rpm/requiredby.rpm var/lib/rpm/triggerindex.rpm
fi

%postun
%{insserv_cleanup}
%verifyscript
%verify_permissions -f /usr/lib/rpm/permlist

%files
%defattr(-,root,root)
%doc 	RPM-PGP-KEY RPM-GPG-KEY CHANGES COPYING GROUPS
%doc 	doc/manual
%doc 	RPM-HOWTO RPM-Tips RPM-Changes
	/bin/rpm
	/usr/bin/*
	/etc/init.d/rpmconfigcheck
	/usr/sbin/rcrpmconfigcheck
	/usr/lib/rpm
	%{_libdir}/librpm*-*.so
%doc	%{_mandir}/man[18]/*.[18]*
#%doc	%{_mandir}/*/man[18]/*.[18]*
	/usr/share/locale/*/LC_MESSAGES/rpm.mo
%dir 	/var/lib/rpm
%dir 	/var/spool/repackage
%verify(not mode) %dir 	%attr(755,root,root) /usr/src/packages/BUILD
%verify(not mode) %dir 	%attr(755,root,root) /usr/src/packages/SPECS
%verify(not mode) %dir 	%attr(755,root,root) /usr/src/packages/SOURCES
%verify(not mode) %dir 	%attr(755,root,root) /usr/src/packages/SRPMS
%verify(not mode) %dir	%attr(755,root,root)  /usr/src/packages/RPMS
%verify(not mode) %dir	%attr(755,root,root) /usr/src/packages/RPMS/*
	/var/adm/fillup-templates/sysconfig.services-rpm

%files devel
%defattr(644,root,root,755)
	/usr/include/rpm
        %{_libdir}/librpm*.a
        %{_libdir}/librpm*.la
        %{_libdir}/librpm.so
        %{_libdir}/librpmbuild.so
        %{_libdir}/librpmdb.so
        %{_libdir}/librpmio.so

%package -n popt
Summary:        A C library for parsing command line parameters
License:        GPL v2 or later
Group:          System/Libraries
Version:        1.7
Release:        271.40.64
#

%description -n popt
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions. It
improves on them by allowing more powerful argument expansion. Popt can
parse arbitrary argv[] style arrays and automatically set variables
based on command line arguments.  Popt allows command line arguments to
be aliased via configuration files and includes utility functions for
parsing arbitrary strings into argv[] arrays using shell-like rules.



Authors:
--------
    Erik Troan <ewt@redhat.com>

%package -n popt-devel
Summary:        C Library for Parsing Command Line Parameters
License:        GPL v2 or later
Group:          System/Libraries
Version:        1.7
Release:        271.40.64
Requires:       popt = 1.7
Requires:       glibc-devel

%description -n popt-devel
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion. Popt can
parse arbitrary argv[] style arrays and automatically set variables
based on command line arguments.  Popt allows command line arguments to
be aliased via configuration files and includes utility functions for
parsing arbitrary strings into argv[] arrays using shell-like rules.



Authors:
--------
    Erik Troan <ewt@redhat.com>

%post -n popt -p /sbin/ldconfig

%postun -n popt -p /sbin/ldconfig

%files -n popt
%defattr(-,root,root)
        %{_libdir}/libpopt.so.*
	/usr/share/locale/*/LC_MESSAGES/popt.mo

%files -n popt-devel
%defattr(644,root,root,755)
	/usr/include/popt.h
        %{_libdir}/libpopt.a
        %{_libdir}/libpopt.la
        %{_libdir}/libpopt.so
%doc	%{_mandir}/man3/popt.3*

%files python
%defattr(-,root,root)
	%{_libdir}/python*

%changelog
* Mon Jan 10 2011 mls@suse.de
- Add rpm-4.4.2.3-no-order-rescan-limit.patch from upstream
  (bnc#552622)
* Fri Nov 19 2010 rw@suse.de
- support the distribution-independent KMP building macros and
  fix the kernel_module_package macro to correctly handle -x
  [bnc#650656, FATE#310791]
* Tue Aug 10 2010 ro@suse.de
- add option -F to patch macro to specify fuzz (backport)
- make default fuzz level configurable (backport)
  - default fuzz level of 0 is enforced, set macro
    %%_default_patch_fuzz to other value if needed
* Fri Jun  4 2010 mls@suse.de
- fix sbit removal code [bnc#610941]
- do not use glibc for passwd/group lookups when --root is used
  [bnc#536256]
- disable cpio md5 checking for repackaged rpms [bnc#572280]
* Tue Oct 20 2009 ro@suse.de
- finddebuginfo.diff: disable debuginfo for mono at the moment
  (bnc#545140)
* Thu Jul  2 2009 mmarek@suse.cz
- modalias-hexenc.diff: URL-encode commas and other special
  characters in modaliases (bnc#515858, bnc#456695)
* Wed May 27 2009 mls@suse.de
- remove -llzma from .la file, it's included in librpmio.so
* Mon May 11 2009 mls@suse.de
- add support for lzma payloads (FATE#303902)
* Fri Apr  3 2009 ro@suse.de
- buildfix: change comment in specfile
* Wed Aug 27 2008 ro@suse.de
- update rpm-suse_macros
- update brp-symlink
* Tue Mar 11 2008 mls@suse.de
- make ia32 compatible to ia64, like it was in SLES9 [bnc#367705]
* Thu Feb 21 2008 mls@suse.de
- do not configure autoreloc or colors
* Fri Sep  7 2007 agruen@suse.de
- symset-table: Make sure for KMPs that when multiple symbol sets
  provide a specific symbol, the oldest symbol wins. This ensures
  that KMPs compiled for a more recent kernel will work with
  older kernels as long as possible (#303889).
* Thu Apr 19 2007 mls@suse.de
- repack elfutils tarball. [#251139]
* Fri Feb  9 2007 mls@suse.de
- disable part of the patch so that rpm checks the package provides
  again instead of just package name when going through the
  obsoletes list. This makes rpm behaviour consistent with the
  updated libzypp. [#232127]
* Fri Jan 26 2007 mls@suse.de
- create /var/spool/repackage directory [#230866]
- do not run pre/posttrans scripts in test mode [#235361]
* Wed Jan 24 2007 mls@suse.de
- add -m64 to ppc64 compile flags [#177064]
* Thu Dec 14 2006 agruen@suse.de
- %%suse_kernel_module_package: add -i and -u options which
  specify additional code to be included in the KMP's %%post (-i)
  and %%postun (-u) scripts (FATE 301382).
* Mon Oct 16 2006 agruen@suse.de
- Fix the KMP Package spec file template so that whenever the
  initrd contains a module that the KMP includes, the initrd will
  be regenerated (211646).
* Mon Oct  2 2006 agruen@suse.de
- %%suse_kernel_module_package: Abort when trying to build for a
  kernel that doesn't have an associated /boot/symsets-$krel.tar.gz
  file: we cannot generate the appropriate dependencies without.
* Mon Oct  2 2006 agruen@suse.de
- Allow kernel modules in packages even when the dependencies
  between those packages and the matching kernel packages cannot
  be tracked (199474).
* Sat Sep 30 2006 agruen@suse.de
- Make find-*.ksyms more robust (199474).
* Wed Jun 14 2006 mls@suse.de
- make rpmlib provide rpmlib(PatchRPMs) [#184856]
* Wed Apr 26 2006 agruen@suse.de
- rpm-suse-kernel-module-subpackage: Use a temporary file location
  that only root can write to (169378).
* Fri Apr 21 2006 mls@suse.de
- copy suse_macros file back into source rpm
* Mon Apr 10 2006 agruen@suse.de
- rpm-suse-kernel-module-subpackage: Arguments to -p and -f should
  be relative to %%_sourcedir.
* Fri Mar 24 2006 mls@suse.de
- fix uninitialized variable in unused file code [#160434]
* Fri Mar 24 2006 agruen@suse.de
- %%suse_kernel_module_package: Fix -x case when multiple flavors
  to include are specified. Do not build KMP packages without
  modversions or kernel(...) requirements.
* Tue Mar 21 2006 mls@suse.de
- fix PGP signature checking when there is no RSA sig
* Mon Mar 20 2006 agruen@suse.de
- Switch from modalias(foo) to modalias(kernel-flavor:foo)
  supplements to give the resolver enough information to do "the
  right thing".
* Sun Mar 19 2006 agruen@suse.de
- Allow paths relative to %%_sourcedir in
  %%suse_kernel_module_package.
* Sat Mar 18 2006 agruen@suse.de
- Clarify rpm --help texts.
* Fri Mar 17 2006 mls@suse.de
- fix cond queries that return no result
* Fri Mar 17 2006 mls@suse.de
- work around broken patchrpm database entries [#156347]
- add query support for suggests/recommends/enhances/supplements
  [#155301]
* Sun Mar 12 2006 agruen@suse.de
- find-supplements.ksyms: Don't generate too many Supplements;
  anything that does not have a colon in it (like pci:...) is not
  a modalias.
* Sat Mar 11 2006 ro@suse.de
- find-debuginfo: only "strip-debug" for static libs,
  do not use "strip-all" there
* Fri Mar 10 2006 agruen@suse.de
- Make KMP sub-packages require kernel-$flavor instead of kernel
  (mostly cosmetic).
* Fri Mar 10 2006 dmueller@suse.de
- patch for improved debuginfo extraction (#150940)
* Thu Mar  9 2006 agruen@suse.de
- find-scripts.diff: Add support for %%__find_enhances and
  %%__find_supplements scripts (from mls@suse.de).
- modalias.diff: Add modalias(...) Supplements tags that define
  the hardware that kernel module packages support (e.g.,
  modalias(pci:vBADOFBADdDEADBEEFsv*sd*bc*sc*i*)).
* Mon Mar  6 2006 agruen@suse.de
- %%suse_kernel_module_package: Add a -p option for defining
  additional preamble lines in sub-packages, subject to the same
  macro expansion as the sub-package (-s) itself.
* Wed Mar  1 2006 schwab@suse.de
- Fix logic error in find_debuginfo.sh [#144629].
* Fri Feb 24 2006 mls@suse.de
- fix cursor leak in rpmdbGrowIterator [#151953]
- print error message if scriptlet fork fails [#152779]
* Sun Feb 19 2006 agruen@suse.de
- scripts/find-requires.ksyms: Fix bug in last find-requires.ksyms
  fix.
* Sat Feb 18 2006 ro@suse.de
- allow debuginfo packages also for noarch (for mono,java)
* Fri Feb 17 2006 mls@suse.de
- put mono debug files in debuginfo packages [#151353]
- fix off-by-one error in glob code
- define _libexecdir to be _libdir [#136762]
- rename improves to supplements
* Thu Feb 16 2006 agruen@suse.de
- scripts/find-requires.ksyms: Tolerate kernel modules that have
  more than one vermagic info entry (it happened!).
* Mon Feb 13 2006 agruen@suse.de
- rpm-suse-kernel-module-subpackage:
  + Search for the spec file in %%_sourcedir and %%_specdir (150119).
  + If no KMP subpackage exists, use the Group and Summary tags
    of the main package.
* Fri Feb 10 2006 mls@suse.de
- add back missing chunk of srcdefattr patch [#48870]
- add rpmvercmp patch from Peter Bowan
- add -m32 to ix86 optflags to make --target work [#141206]
* Sat Feb  4 2006 agruen@suse.de
- rpm-suse-kernel-module-subpackage: Allow to specify a list of
  kernel flavors to build (-x) instead of specifying an exclude
  list.
* Fri Feb  3 2006 mls@suse.de
- use RPMSENSE_STRONG instead of RPMSENSE_WEAK
- drop support for EssentialFor
* Wed Feb  1 2006 agruen@suse.de
- rpm-suse-kernel-module-subpackage: Allow to specify a custom
  %%files list for the kernel-specific sub-packages. Use the
  Summary and Group tags, and the %%description section from the
  KMP sub-package for the kernel-specific sub-packages.
* Tue Jan 31 2006 agruen@suse.de
- rpm-suse-kernel-module-subpackage: Add version to additional
  Provides tag. We may need this for future Obsoletes.
* Fri Jan 27 2006 mls@suse.de
- added support for EssentialFor and Supports
- enabled support for lua scripts
* Fri Jan 27 2006 agruen@suse.de
- rpm-suse-kernel-module-subpackage: Add "Requires: kernel". Add
  - r option to override the release number. Clean up.
* Thu Jan 26 2006 agruen@suse.de
- rpm-suse_macros: Add -v option to %%suse_kernel_module_package
  to allow specifying a kernel module version different from the
  main package version. Restore the %%version, %%summary, and
  %%group macros of the main package at the end of
  %%suse_kernel_module_package.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 agruen@suse.de
- rpm-suse_macros: Add %%suse_kernel_module_package macro for
  building kernel module packages.
* Wed Jan 11 2006 agruen@suse.de
- rpm-4.4.2.diff: find-requires.ksyms must not print "Requires:".
  Remove trailing whitespace.
* Wed Dec 21 2005 mls@suse.de
- make transaction lock --root aware
* Mon Dec 19 2005 mls@suse.de
- don't ignore getcwd return value in build.c
* Mon Dec 19 2005 mls@suse.de
- fix find-lang.sh script
* Sun Dec 18 2005 mls@suse.de
- fix find-debuginfo script
* Sun Dec 18 2005 mls@suse.de
- don't assume root:root defattr
* Sun Dec 18 2005 agruen@suse.de
- fix wrong buildsubdir macro name
* Thu Dec 15 2005 mls@suse.de
- update to version 4.4.2
  for now without lua, rpc, dav support
* Wed Dec  7 2005 agruen@suse.de
- Add find-{requires,provides}.ksyms and invoke them from the
  global find-{requires,provides} scripts. The scripts add
  "kernel(symbol set) = version" and "kver(symbol) = version"
  provides and requires to kernel module packages.
- Add symset-table script used to generate a table of known
  kernel symbol sets from /boot/symsets-*.tar.gz.
- Add rpmsort script to sort a file into RPM version order. Used
  in kernel scripts to sort kernel packages by version.
* Tue Nov 22 2005 ro@suse.de
- change NO_BRP_STRIP_DEBUG to NO_DEBUGINFO_STRIP_DEBUG
- fix patchrpm code not to modify immutable header parts
* Fri Nov 18 2005 ro@suse.de
- honor NO_BRP_STRIP_DEBUG in find-debuginfo.sh
* Fri Oct 28 2005 mls@suse.de
- use lstat instead of stat when globbing (#129434)
- add RPMTAG_PKGID and RPMTAG_HDRID
- make python always return requires/provides/obsoletes/conflicts
  as array
* Mon Oct 24 2005 ro@suse.de
- find-requires/find-provides: fix MONO_PATH
* Thu Oct 20 2005 ro@suse.de
- find-requires/find-provides: update mono hooks
* Wed Sep  7 2005 matz@suse.de
- Make debuginfo packages require exact version of base rpm.
* Fri Sep  2 2005 mls@suse.de
- backport CLOEXEC workaround [#93727]
- fix typo in man page [#114909]
* Thu Aug 25 2005 mls@suse.de
- don't catch ignored signals [#74560]
- unblock all signals when running scripts
* Mon Aug 22 2005 mls@suse.de
- do not try to mmap zero sized files in domd5()
* Fri Aug 12 2005 mls@suse.de
- change -mcpu to -mtune and add -D_FORTIFY_SOURCE=2 [#104241]
* Wed Aug  3 2005 mls@suse.de
- ignore /media when creating fdilesystem list
- allow --ignoresize when erasing packages
* Fri Jul  1 2005 schwab@suse.de
- Fix ppc assembly syntax.
* Wed Jun  8 2005 matz@suse.de
- add STRIP_KEEP_SYMTAB to find-debuginfo.sh
* Sat May 21 2005 schwab@suse.de
- find-debuginfo.sh: make writable before extracting debug info, simplify.
* Thu May 19 2005 schwab@suse.de
- Replace absolute symlinks when copying sources for debuginfo package.
* Wed Apr  6 2005 schwab@suse.de
- Cleanup neededforbuild.
* Wed Apr  6 2005 meissner@suse.de
- Added gettext-devel
* Tue Apr  5 2005 bg@suse.de
- add noarch to valid hppa architectures
* Thu Mar 24 2005 uli@suse.de
- better ARM support
* Sun Feb 20 2005 od@suse.de
- fix debugedit for relocatable files (kernel modules) on ppc
* Fri Feb 18 2005 mls@suse.de
- update debugedit program
* Fri Feb 18 2005 od@suse.de
- make find-debuginfo.sh handle kernel modules
* Wed Feb 16 2005 mls@suse.de
- fix --rebuilddb with --root [#50993]
* Fri Feb 11 2005 mls@suse.de
- update to elfutils-0.97 [#47746], [#48471]
- update to db-4.2.52 [#44193]
- pack brp-symlink
* Fri Feb 11 2005 ro@suse.de
- remove -fsigned-char from rpmrc (#49877)
* Sat Feb  5 2005 schwab@suse.de
- Fix building with gcc 4.
* Fri Feb  4 2005 mls@suse.de
- make python-2.4 work [#49990]
- fix --setguids / --setperms [#47122]
- makd gpgv4 signatures work [#42282]
- add brp-symlink [#49596]
* Fri Feb  4 2005 ro@suse.de
- fix one regexp in find_lang change
* Thu Feb  3 2005 ro@suse.de
- hppa may install noarch
* Wed Feb  2 2005 schwab@suse.de
- Remove compatibility provides on ia64.
* Mon Jan 31 2005 adrian@suse.de
- handle also ??_?? languages in %%find_lang.
* Fri Jan 28 2005 coolo@suse.de
- let the debuginfo packages work again
* Fri Jan 21 2005 skh@suse.de
- changed jpackage macros
* Fri Jan 21 2005 coolo@suse.de
- use binutils for debuginfo packages
* Fri Jan 14 2005 coolo@suse.de
- name the debug package -debuginfo to sync with redhat/fedora
* Mon Dec 13 2004 sndirsch@suse.de
- moved chinese popt mo file to correct directory (Bug #47262)
* Fri Dec  3 2004 mls@suse.de
- fix update of rpm with same name/version/release but different
  architecture
* Thu Nov 25 2004 ro@suse.de
- fix build with python-2.4
* Tue Nov 16 2004 ro@suse.de
- update permissions handling
* Mon Oct 18 2004 ro@suse.de
- locale rename: no -> nb
* Mon Sep 27 2004 mls@suse.de
- move TE type initializaten before the addTE call to make
  relocations work [#34871, #43557]
* Fri Sep 24 2004 mls@suse.de
- check payloadformat for "cpio", print extra deltarpm message
- don't skip directories in the fingerprint check when deleting rpms
* Thu Sep 23 2004 mls@suse.de
- allow database read access in scripts
* Wed Sep 22 2004 mls@suse.de
- only retry locking if errno is EAGAIN [#45704]
* Fri Sep 17 2004 mls@suse.de
- fix isSpecfile fix
- reset SIGILL handler in RPMClass()
* Mon Sep 13 2004 mls@suse.de
- glob.h: add workaround for invalid prototypes
* Thu Sep  9 2004 mls@suse.de
- fix jpackage macros
- change binary payload compression to w9.bzdio
- fix localization of query results [#38474]
- delete unmaintained cpanflute scripts [#39988]
- patch isSpecfile to be less restrictive [#40328]
- wait up to 3 minutes for the package lock [#40961]
* Thu Sep  2 2004 mls@suse.de
- add jpackage macros
* Fri Aug  6 2004 mls@suse.de
- make it build with new automake
* Wed Jun 23 2004 mls@suse.de
- add support for mono provides/requires autodetection.
  limited to *.exe and *.dll for now.
* Sun May 23 2004 schwab@suse.de
- Don't record timestamp in compressed manpages.
* Thu Apr 22 2004 mls@suse.de
- add DISABLE_RESTART_ON_UPDATE and DISABLE_STOP_ON_REMOVAL
  sysconfig variables
* Mon Apr 19 2004 mls@suse.de
- go back to libpopt.so.0.0.0
- also create and pack libpopt.so.1.0.0 for compatibility
* Wed Mar 31 2004 uli@suse.de
- added detection of i686-capable Transmeta Crusoe that reports
  as being i586 (bug #37713). This patch is necessary because YaST
  (rightfully) tries to install an i686 glibc on machines with this CPU, but
  RPM refuses to do so -> BOOM. This patch is safe because it only uses
  cpuid functions already used earlier in RPMClass() and does not do
  anything if the CPU identification string does not end in "ineTMx86".
* Wed Mar 31 2004 ke@suse.de
- remove broken german translation file [#30665],
* Fri Mar 26 2004 mls@suse.de
- use the system's zlib, fixes python segfault [#36810]
* Sun Mar 21 2004 aj@suse.de
- Work around lvalue used as cast problems.
* Thu Mar 18 2004 mls@suse.de
- convert query results to locale encoding [#28347]
- don't check provides if filename doesn't contain '/' [#32078]
- allow interrups if database is RDONLY [#33026]
- added _srcdefattr macro to set defattr for srpms [#33870]
- drop sbits from old files if installing new version [#35376]
- remove bogus entries from .la files [#36346]
- add _docdir_fmt macro to make it possible to create rpms
  for other distributions
* Sat Mar  6 2004 ro@suse.de
- readd lost patch hunk from last change:
  set docdir default back to .../packages/%%name (w/o version)
* Fri Mar  5 2004 mls@suse.de
- backport some fixes from rpm-4.2
- match py_libdir macro definition with python
- clean and re-create buildroot in a safe way
* Sat Feb 28 2004 schwab@suse.de
- Remove anchor from pattern in find-requires.
* Fri Feb 27 2004 schwab@suse.de
- Silence error from find.
* Fri Feb 27 2004 mls@suse.de
- fix definition of _initrddir
- set sysconfdir to /etc
- set localstatedir to /var
* Thu Feb 26 2004 schwab@suse.de
- Handle more cases of filenames with spaces.
* Thu Feb 26 2004 ro@suse.de
- some fixes in linux.prov to survive filenames with spaces
* Thu Feb 12 2004 mls@suse.de
- fixed linux.req soname generation (#21664)
- disable nptl for now
* Mon Feb  9 2004 kukuk@suse.de
- linux.req: Fix finding of interpreters
* Sat Feb  7 2004 olh@suse.de
- disable redhat's uname hack for ppc
* Thu Feb  5 2004 ro@suse.de
- linux.prov: don't block soname in versioned-requires
- linux.req: disable perl-requires, it's broken
* Tue Feb  3 2004 schwab@suse.de
- Readd ia64 64bit provides hack.
* Tue Feb  3 2004 kukuk@suse.de
- Remove all special find-requires scripts and use the default one
* Sat Jan 17 2004 schwab@suse.de
- Filter out linux-gate.so.
* Thu Jan 15 2004 schwab@suse.de
- For ia64 require 64bit symbols and provide them both with and without
  64bit.
* Tue Jan 13 2004 adrian@suse.de
- call ldconfig
- add missing Requires in -devel packages
- add %%defattr
* Fri Jan  9 2004 kukuk@suse.de
- Coompile with "-fno-strict-aliasing"
* Fri Nov 14 2003 bg@suse.de
- added changes for hppa
- fix build for hppa
* Fri Oct 10 2003 sf@suse.de
- added alias 'amd64' for 'x86_64'
* Fri Oct 10 2003 ro@suse.de
- ignore "linux-gate.so" in ldd output (on 2.6 systems)
* Wed Oct  8 2003 schwab@suse.de
- Add popt to prerequires for rpm.
* Tue Sep 23 2003 mls@suse.de
- really disable rpmconfigcheck
* Sat Sep 20 2003 kukuk@suse.de
- Don't enable rpmconfigcheck per default
* Fri Sep 19 2003 schwab@suse.de
- Fix descriptor leak [#31450].
* Mon Sep 15 2003 mls@suse.de
- remove redhat options from popt (#30302)
- check name and arch to find out if two packages are the same
* Fri Sep  5 2003 mls@suse.de
- fix rpmalMakeIndex and off by one error in rpmalAllSatisfiesDepend
* Fri Sep  5 2003 mls@suse.de
- use mkstemp in build.c
- fix --noghost query option
* Fri Sep  5 2003 mls@suse.de
- escape '+' in MIRE_DEFAULT iterator
- use MIRE_STRCMP when going for an exact match
- update rpmrc
* Wed Sep  3 2003 mls@suse.de
- speed up installation by making nofsync local and setting it
  for all databases but Packages
- fix database locking issue (#29407)
- don't open temporary databases in chroot case (may fix #29584)
* Mon Sep  1 2003 schwab@suse.de
- Fix assembler routines to not clobber predicate registers.
* Fri Aug 29 2003 mcihar@suse.cz
- rpm-python require same python version as it was built with
* Fri Aug 22 2003 mls@suse.de
- make usage of / in post section consistent
- don't force the activation of rpmconfigcheck
* Tue Aug  5 2003 coolo@suse.de
- give libpopt a soname > 0 as it's not compatible to the libpopt
  on SL 8.2 (now that we link shared, it does matter)
* Fri Aug  1 2003 mls@suse.de
- fix segfault in rpmdbFindByFile
* Thu Jul 31 2003 mls@suse.de
- added directory tagging to speed up installation/updates
* Tue Jul 29 2003 mls@suse.de
- add support for patch-rpms
- fix --root option (#28266)
- fix erase exit status (#28267)
- fix database open ignoring locks the second time
* Fri Jul 11 2003 mls@suse.de
- add perl_vendorlib and perl_vendorarch
- integrate patches
* Tue Jul  1 2003 coolo@suse.de
- update find-debuginfo.sh to fix permissions of copied files
- give warning on already stripped files
* Fri Jun 27 2003 schwab@suse.de
- Fix configure scripts.
- Don't link rpm statically.
* Fri Jun 20 2003 kukuk@suse.de
- use -fPIC, not -fpic to compile elfutils
* Thu Jun 19 2003 ro@suse.de
- fix build (gettext and definition of mkinstalldirs)
* Mon Jun 16 2003 kukuk@suse.de
- Don't call find on /usr/share/locale if directory does not exist.
* Sat Jun 14 2003 coolo@suse.de
- avoid stale links in /usr/src/debug
* Fri Jun 13 2003 mls@suse.de
- make PreReqs work again if --nodeps is used
- fix rpmconfigcheck
- apply find-debuginfo.sh patch from coolo
* Thu Jun 12 2003 kukuk@suse.de
- Fix find-lang.sh (special /usr/share/locale handling)
* Thu Jun 12 2003 coolo@suse.de
- enhancing find-lang.sh to take KDE/GNOME into account and label
  them correctly
* Wed Jun 11 2003 kukuk@suse.de
- Remove translated manual pages
* Fri Jun  6 2003 mls@suse.de
- fix vendor for s390/s390x
* Thu Jun  5 2003 mls@suse.de
- no longer build rpm static
- add --fileclass and --filecolor macros to rpmpopt
* Thu Jun  5 2003 ro@suse.de
- remove dangling rpmpopt symlink
* Mon Jun  2 2003 mls@suse.de
- convertdb1: call providePackageNVR to retrofit "Provide: name = EVR"
  into converted headers
* Fri May 23 2003 ro@suse.de
- fixed brp-compress to convert bzip2 man pages into gziped ones
  (even if hardlinked). (#21121) (from ma)
* Fri May 16 2003 mls@suse.de
- fixed x86_64 build
* Thu May 15 2003 mls@suse.de
- update to rpm-4.1.1
* Tue May 13 2003 mls@suse.de
- don't obsolete own package when refreshing
- fix parsing of nested conditionals (again)
* Tue May 13 2003 mls@suse.de
- created rpm-python subpackage
- fix check-files/fixowner, second try
* Mon May 12 2003 mls@suse.de
- fix check-files to work without buildroot
* Mon May 12 2003 mls@suse.de
- re-activate fixowner/group/perms
- allow /usr/share/info/dir in check-files
- fix 'head -n 1' in /usr/lib/rpm/find-requires
* Thu May  8 2003 mls@suse.de
- update to rpm-4.1
* Mon Apr  7 2003 ro@suse.de
- fix for new head(1) syntax
* Mon Mar 10 2003 mls@suse.de
- fix exit status if file to be installed is not a rpm package
* Fri Feb 28 2003 mls@suse.de
- use mkstemp instead of tempnam (#24478)
* Thu Feb 20 2003 ma@suse.de
- Work arround rpm2cpio wrongly reporting an error, if the rpm file
  is read from stdin. (#16800)
* Mon Feb 17 2003 mls@suse.de
- made rpmconfigcheck add new files to /var/log/update-messages
* Fri Feb 14 2003 schwab@suse.de
- Save errno inside Fclose, its return value is never checked anyway.
* Fri Feb 14 2003 pthomas@suse.de
- find-provides for elf64 systems used to omit symbol versions
  if they contained the soname, fixed by find_provides_soname.diff.
* Wed Feb 12 2003 mls@suse.de
- removed runlevels '1' and 'S' from rpmconfigcheck
* Fri Feb  7 2003 mls@suse.de
- speed up rpmconfigcheck by just checking the old conflicts if
  no rpm was installed
- rerun gpg if gpg fails with "option file created"
- set LC_ALL to C before calling gpg
* Tue Jan 28 2003 kukuk@suse.de
- Remove wrong Provides "rpm-devel" and "rpm-python" from Provides
* Sun Jan 26 2003 olh@suse.de
- the official arch_canon value for ppc64 is 16, not 5
* Thu Jan 16 2003 ma@suse.de
- update subpackage popt to 1.6.4
* Thu Dec 19 2002 schwab@suse.de
- Update autogen patch.
* Mon Nov 18 2002 stepan@suse.de
- add m68k as chanonical architecture to configure.in
* Mon Nov 18 2002 ro@suse.de
- adapt to latest autoconf
- use host instead of host_alias for %%host_alias since the latter
  is not set
* Mon Nov 11 2002 ma@suse.de
- let linux.prov list vrsion definitions in libraries/plugins without
  soname. (find_provides.diff)  (#21664)
* Fri Oct 25 2002 sf@suse.de
- corrected %%_libdir-macro (rpm-3.0.6-platform.diff)
* Mon Oct 21 2002 schwab@suse.de
- Fix read beyond EOS.
* Mon Oct  7 2002 ro@suse.de
- fixed brp-compress script for current fileutils
  (add LC_TIME=POSIX, this bug lead to broken tcl man pages)
* Wed Oct  2 2002 mls@suse.de
- update unpatched files in patchrpms even if --nodeps is used
  [Bug #20418]
* Sat Aug 24 2002 ro@suse.de
- fix popt-devel requires
* Sun Aug 18 2002 olh@suse.de
- adding -mminimal-toc to each package is a boring job
  use it per default on ppc64
* Thu Aug 15 2002 kukuk@suse.de
- Add insserv PreRequires [Bug #17969]
* Mon Aug 12 2002 bk@suse.de
- rpmrc/s390{,x}: change dummy -fomit-frame-pointer to -fsigned-char
* Sat Aug 10 2002 schwab@suse.de
- Make ia64 arch_compat to i686.
* Sat Aug 10 2002 kukuk@suse.de
- Fix version number of popt-devel
* Fri Aug  9 2002 kukuk@suse.de
- Fix typo
* Fri Aug  9 2002 kukuk@suse.de
- Fix requires of rpm-devel and popt-devel
* Thu Aug  8 2002 ro@suse.de
- adapt automake version in configure
* Fri Jul 26 2002 mls@suse.de
- Added perl/python macros from conectiva
* Fri Jul 26 2002 kukuk@suse.de
- Create rpm-devel and popt-devel subpackages [Bug #17225]
* Fri Jul 26 2002 kukuk@suse.de
- Change Requires for suse-build-key to build-key
* Thu Jul 25 2002 mls@suse.de
- renamed rpmconfigscan to rpmconfigcheck
- fixed elf64-linux.req to ignore scripts without #!
- disabled tag check in rpmdbFindByFile, too dangerous
* Thu Jul 18 2002 mls@suse.de
- fixed double free of header if the postinstall script failed
- return exit status when doing --initdb
* Thu Jul 11 2002 mls@suse.de
- use "officially reserved" value of RPMFILE_UNPATCHED
- added rpmconfigcheck script to search for unresolved config
  file changes
* Mon Jul  8 2002 mls@suse.de
- new version of patchrpm diff: handle patch "freshen" operations
  gracefully
- documented patchrpm options
- taggedindex diff: add directory tags to the fileindex to speed
  up file conflict detection
* Tue Jul  2 2002 ke@suse.de
- Update German program messages using translations by Christian
  Kirsch.  Add as Source7; drop Patch19 [# 8442].
* Thu Jun 20 2002 ro@suse.de
- automake is 1.6.2
* Wed Jun 12 2002 bk@suse.de
- ppc: fix arch for elf64.prov and elf64.req to powerpc(from olh)
- s390x: fix brp-lib64-linux to ignore */lib/ld64.so.1 in lib check
- remove obsolete x64_64 scripts, replaced by generic elf64 scripts
- rpm-3.0.6.pkg_build.diff: remove obsolete diff for sparc-linux.req
* Fri May 31 2002 olh@suse.de
- remove ppc64 hack
* Mon May 27 2002 bk@suse.de
- all lib64 platforms use the same brp, req and prov scripts now.
- merge mips diff to not include private flags into linux.req.suse
- merge last rpm-3.0.6-s390x-lib64.diff into rpm-3.0.6.config.diff
- add (64bit) fix for empty soname in elf64.prov from sles7-s390x
* Fri May 17 2002 olh@suse.de
- add more ppc64 changes, add brp-ppc64-linux
- apply mips, x86_64 and s390x patches on all archs
- rpm-3.0.6.lib64.diff: merged all lib64 stuff and add SUBSTS macros
  for uname->target_cpu handling on ppc64, s390 and x86_64
* Wed May 15 2002 ro@suse.de
- update brp-x86_64-linux
* Wed May 15 2002 mfabian@suse.de
- fix ja.po, it contained some junk which caused mojibake on
  output, especially in ja_JP.UTF-8 locale. Remove a lot
  of fuzzies which had correct translations.
* Mon May 13 2002 olh@suse.de
- do not translate ppc64 to ppc anymore
* Fri Apr 26 2002 sf@suse.de
- fixed brp-x86_64-linux script
- added *.a-files to brp-script
- look _only_ for files or links with names *.a, *.so*
- added /opt/gnome/lib and /opt/kde/lib
* Wed Apr 24 2002 sf@suse.de
- added script to show requires and provides with 64 bit
  (like s390 and sparc64)
- rpm will now stop (on x86_64) if a 64-bit binary
  (or a link to one) is found in
  $RPM_BUILD_ROOT{, /usr, /usr/X11R6}/lib
* Wed Apr 24 2002 ke@suse.de
- patch19: Fix 1 german message (3 strings) in de.po [# 8442].
* Mon Apr 22 2002 kukuk@suse.de
- Remove broken s390x try to fix lib64 library location
* Thu Apr 18 2002 kukuk@suse.de
- x86_64 can also build noarch packages
* Wed Apr 17 2002 sf@suse.de
- install i386-rpms on x86_64
- patch65 only, if not on s390x (doesn't apply)
- patch  to build with new automake (ro)
* Fri Apr 12 2002 kukuk@suse.de
- Don't apply s390x 64bit hacks on sparc64, sparc64 has a working
  libtool
* Thu Apr 11 2002 mls@suse.de
- fixed bug in patchrpm case that prevented the reuse of
  old timestamps in unpatched files in some cases
- fixed patchrpm dependency failure message
* Wed Apr 10 2002 sf@suse.de
- added x86_64 architecture
- added --libdir to autogen.sh to copy the libs depending on
  architecture (lib / lib64)
* Fri Mar 29 2002 schwab@suse.de
- Fix for new autotools.
* Fri Mar 22 2002 mls@suse.de
- added rpmqpack program to speed up susehelp
* Wed Mar 20 2002 ro@suse.de
- modified config.diff for currently used optflags (#15123)
* Mon Mar 18 2002 schwab@suse.de
- Don't lose errno.
* Mon Mar 11 2002 mls@suse.de
- use gpg --keyring when checking keys with uid != 0
- use hardcoded keyring path if _gpg_path is not set and uid == 0
- removed _gpg_path from suse_macros
* Sat Mar  9 2002 bk@suse.de
- brp-s390x-linux: merge lib64 fix: patch .la files when moving
* Fri Mar  8 2002 ma@suse.de
- introduced x86_64 architecture in rpmrc (#14110)
* Fri Mar  8 2002 mls@suse.de
- backported rpm4 fix to get mtime right on s390x
* Mon Feb 25 2002 mls@suse.de
- added patchrpm support
- changed rpm -qi to include the distribution
* Thu Feb 21 2002 schwab@suse.de
- Fix to build with new gettext.
* Mon Feb 18 2002 ro@suse.de
- added requires for suse-build-key
* Mon Feb 11 2002 ro@suse.de
- tar option for bz2 is now "j" (re-added)
* Mon Feb 11 2002 ma@suse.de
- unk_ugname_cached.diff: Upon building a package, unpacking sources
  by calling tar from the spec file, may lead to files with unknown
  user/group names. If those files are to be included in the final
  package, it's not appropriate to simply map unknown user/group names
  to the builders user/group (usg. root). This behaviour has been disabled
  and building the package will fail. There are ample means to propperly
  define file attributes. If a spec file does not use them, although it
  should, it's considered broken.
  Unknown user/group names lead to NULL entries in rpms user/group name cache,
  which may cause a segmentation fault on cache lookup. This has been fixed.
* Sat Jan 26 2002 ro@suse.de
- apply configure-diff also on s390x
* Mon Jan 21 2002 bk@suse.de
- use RPM_OPT_FLAGS for compilation
- add lib64 support for s390x
- update srcdir-supplied rpm-suse_macros file to newest version
  adds: %%_lib handling for ltconfig/-main and macro suse_update_libdir
- sparc64 and s390x: call scripts/brp-%%_arch-linux at the end of install
* Wed Jan 16 2002 schwab@suse.de
- Fix parsing of nested conditionals.
* Wed Jan  2 2002 schwab@suse.de
- Remove wrong assertion.
* Tue Dec 18 2001 adrian@suse.de
- fix find-requires for objdump with private flags finaly
* Mon Dec 17 2001 adrian@suse.de
- apply mips patch only on mips architecture
- fix mips patch
* Sun Dec 16 2001 adrian@suse.de
- fix find-requires script for mips
  ( do not include private flags from objdump to dependencies )
* Wed Dec  5 2001 schwab@suse.de
- Use optind = 0 to reset getopt in glibc.
* Mon Dec  3 2001 schwab@suse.de
- Fix another endian bug due to pointer mismatch.
* Thu Nov 22 2001 mls@suse.de
- reset getopt in grabArgs() macro expansion
* Thu Nov 15 2001 ma@suse.de
- Fixed: copyFile() in rpmchecksig didn't recognize 'No space left on
  device' condition, when creating tempfiles. rpm reported that the
  signature was not ok instead. (#12294)
* Thu Nov  8 2001 adrian@suse.de
- name mips big endian as "mips" instead of "mipseb"
  this is compatible to all GNU tools and to the SGI distribution
* Sat Nov  3 2001 ro@suse.de
- accept automake 1.5 (still needs depcomp added)
* Tue Sep  4 2001 schwab@suse.de
- Accept libtool 1.4.1.
* Fri Aug 17 2001 ro@suse.de
- Exclude /usr/share/doc from Requires
* Sat Jul 21 2001 schwab@suse.de
- Adapt for autoconf 2.52.
- Allow libtool version suffix.
* Tue Jul  3 2001 kukuk@suse.de
- Fix typo in last change
* Mon Jul  2 2001 ma@suse.de
- Change -m486 to -mcpu=i486 in optflags
* Wed Jun 20 2001 ma@suse.de
- Don't define popt version via macro. Abuild does not like it (#8224).
- Patches for rpmrc.in (ia64.dif,ppc64.rpmrc.diff) incorporated
  into config.diff.
- Patches for brp scripts (strip_no_lib.dif) and sparc64-linux.{req,prov}
  scripts (sparc64.dif) incorporated into pkg_build.diff.
* Wed Jun 13 2001 bk@suse.de
- rpm-3.0.6.config.diff: add s390x support
* Mon Jun 11 2001 olh@suse.de
- add ppc64 diff
* Fri Jun  8 2001 schwab@suse.de
- Fix endian bugs.
* Mon Jun  4 2001 kukuk@suse.de
- Fix requires/provides scripts for sparc64
* Fri Jun  1 2001 schwab@suse.de
- Fix for new configure tools.
* Wed May  9 2001 mfabian@suse.de
- bzip2 sources
* Thu May  3 2001 ma@suse.de
- provides script shouldn't block soname as version
* Tue May  1 2001 kukuk@suse.de
- modify spec file for sparc64
* Thu Apr 12 2001 ro@suse.de
- gettextize to compile with new gettext
* Fri Apr  6 2001 kukuk@suse.de
- Make some changes to the changes entries so rpm likes it again
* Thu Mar 29 2001 ro@suse.de
- provides/requires script: add "-n200" to xargs arguments
* Mon Feb 26 2001 ro@suse.de
- no optimization for alpha for now ...
* Wed Feb 14 2001 ma@suse.de
- Fix rpmio (unknown type off64_t) with glibc >= 2.2
- Fix configure.in to recognize SuSE as platform specific vendor
* Tue Feb  6 2001 ro@suse.de
- popt: include float.h to make it compile
* Wed Jan 17 2001 schwab@suse.de
- Mark ia64 as compatible to i386.
* Mon Jan  8 2001 ma@suse.de
- fixed previous fix (error occuring outside %%doc was lost)
* Sat Jan  6 2001 ma@suse.de
- fixed rpm does not abort build if %%doc file is missing (#503)
* Mon Nov 27 2000 ma@suse.de
- wrongly free() after alloca() fixed
* Thu Nov 23 2000 bk@suse.de
- removed old s390 hack(not needed-breaks with new rpm and glibc)
* Tue Nov 14 2000 ro@suse.de
- added patch not to strip all shared libs and
  files with "/lib/modules/" in path
* Fri Nov  3 2000 ma@suse.de
- let 'rpm -e --root ..' remove files/dirs chroot.
* Wed Oct 25 2000 ma@suse.de
- update subpackage popt to 1.6
* Tue Oct 17 2000 ma@suse.de
- fixed missing libpopt.so in popt subpackage
* Fri Oct  6 2000 ma@suse.de
- update to 3.0.6
* Fri Sep 29 2000 schwab@suse.de
- Fix last change to stay compatible with glibc < 2.2.
* Fri Sep 29 2000 schwab@suse.de
- Fix libio cookie function pointer clash in rpmio.
* Fri Jul 28 2000 ma@suse.de
- update to 3.0.5 (handles RPM v4 packages)
- ia64/s309 patches incorporated
* Wed Jul 26 2000 ma@suse.de
- ignore chown() errors eg. if files are installed on a DOS partition
* Fri Jul 14 2000 ma@suse.de
- fixed: ignore dependencies below /usr/share/doc.
- rpmrc: synced s390 entries with those in rpm-4.0.
* Mon Jun 26 2000 bk@suse.de
- build static on s390 too.
* Fri May 26 2000 schwab@suse.de
- For for new libbz2 API.
* Thu May 18 2000 kasal@suse.de
- hope now rpm-3.0.4-macro-grabArgs.patch works
* Wed May 17 2000 kasal@suse.cz
- fixed a typo in rpm-3.0.4-macro-grabArgs.patch (c=='?')
- fixed a problem when
  ifarch someother
  define macro sometext
  endif
  defined macro anyway
* Tue May 16 2000 kasal@suse.cz
- fixed the bug with {?suse_update_config:%%{suse_update_config -f}}
* Fri May 12 2000 schwab@suse.de
- Make ia64 compatible with noarch.
* Wed Apr 26 2000 ma@suse.de
- updated 3.0.4, removed obsolete patches, builds on
  libc5
* Fri Apr 14 2000 ma@suse.de
- Update for RPM-HOWTO
- Fix in config.diff (use Makefile.am not Makefile.in)
* Mon Apr 10 2000 schwab@suse.de
- Fix config patch.
* Thu Apr  6 2000 bk@suse.de
- added /lib/libpopt.so* to filelist on s390
* Tue Apr  4 2000 bk@suse.de
- uses autoconf and automake now
- added /lib/libbz2.so* and /lib/libz.so* to filelist on s390
* Sun Apr  2 2000 bk@suse.de
- add s390 architecture support to rpm
- add required %%suse_update_config for s390
- rpm is NOT linked statically on s390 for now
* Tue Mar 28 2000 ma@suse.de
- rpm.spec: avoid macro usage in 'Version:' entry
* Thu Mar  2 2000 schwab@suse.de
- Fix md5 for ia64.
* Mon Feb 28 2000 ma@suse.de
- remove 'libNoVersion' in find-requires
* Wed Feb 23 2000 schwab@suse.de
- recognize ia64 as architecture.
* Mon Feb  7 2000 ma@suse.de
- rebuilddb fix
- set info/mandir macros to /usr/share/...
* Wed Feb  2 2000 ma@suse.de
- update to 3.0.4 (popt-1.5)
- new subpackage: popt
* Sat Nov 13 1999 kukuk@suse.de
- Add sparc64 directory
- Fix installation into RPM_BUILD_ROOT directory
* Mon Nov  8 1999 kukuk@suse.de
- add directory /usr/src/packages/RPMS/sparc
* Thu Nov  4 1999 bs@suse.de
- fixed bug in find-requires regarding pseudo scripts
  starting with "#! --"
* Thu Oct 28 1999 bs@suse.de
- added directories /usr/src/packages/RPMS/{ppc,noarch}
* Wed Oct 27 1999 ma@suse.de
- place suse_macrofile in source/binary package
- don't check reqires below /usr/doc/
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Mon Jul 19 1999 ma@suse.de
- again rebuilddb.patch
* Wed Jul 14 1999 ro@suse.de
- update to 3.0.3
* Sun Jun 27 1999 ro@suse.de
- changed macros.in for libc5 : no "h" parameter for chown,chmod
* Fri Jun 25 1999 ro@suse.de
- update to rpm-3.0.2
- added librpmbuild.a to filelist
- added patch not to generate dependency for libNoVersion
- rebuilddb.patch removed (incorporated in source)
* Thu Jun 17 1999 ma@suse.de
- fixed bug when --rebuilddb and --root where used
  at the same time.
* Wed May 26 1999 ro@suse.de
- update to 3.0.1
* Mon Apr 26 1999 werner@suse.de
- Speed up find-requires for linux
* Mon Apr 26 1999 ro@suse.de
- update to 3.0 (noreplace fix has been incorporated)
* Mon Apr 12 1999 ro@suse.de
- update to 2.93
* Fri Mar 19 1999 ro@suse.de
- update to 2.92
* Thu Mar 18 1999 ro@suse.de
- respect movement of libz to usr/lib
* Sun Feb 28 1999 ro@suse.de
- update to rpm-src from 99/02/25
* Sat Feb 27 1999 ro@suse.de
- install both dirs RPM/i386 and RPM/alpha (since buildarch doesn't
  seem to be defined now ?)
* Tue Feb 23 1999 ro@suse.de
- adapted macros file to SuSE
- fixed segfault when not using BuildRoot
* Tue Feb 23 1999 ro@suse.de
- modified diff-style
- use additional parameter "-h" on chown after unpacking in build
* Mon Feb 22 1999 ro@suse.de
- update to 2.91
- ported ma's fixes
* Wed Nov 25 1998 ma@suse.de
- new version 2.5.5
- fixed in 2.5.5: find-requires/provides bug
- fixed in 2.5.5: rebuilddb
* Wed Nov 18 1998 ma@suse.de
- link rpm.dyn dynamic against libc only
* Mon Nov 16 1998 ma@suse.de
- shared binary (/usr/lib/rpm/rpm.dyn) added
* Tue Nov 10 1998 ro@suse.de
- fixed find-requires (linux.req)
* Mon Nov  9 1998 ro@suse.de
- added %%post: do rpm --initdb if triggerindex.rpm doesn't exist
- do chown root.root for RPM-HOWTO
* Thu Nov  5 1998 ma@suse.de
- new version 2.5.4
- fix for rebuilddb
- fix for %%config(noreplace)
- RPM-Changes html document that describes the important changes
  in RPM since what is documented in Maximum RPM.
* Tue Nov  3 1998 ro@suse.de
- disabled glibc-patch for build in glibc-2.0
* Sun Sep 20 1998 ro@suse.de
- use libdb185.a for rpm in glibc system
* Thu Sep  3 1998 ma@suse.de
- glibc patches
* Thu Feb  5 1998 ro@suse.de
- update to 2.4.12
* Tue Dec  9 1997 bs@suse.de
- skip *.SuSE-dynamic in find-requires
* Wed Nov 12 1997 ma@suse.de
- new version 2.4.10
* Sat Nov  8 1997 ma@suse.de
- patch: rpmdbFindByFile() didn't work for "/". Thus "/" wasn't
    handled correctly in querries and upon updates ("rmdir /").
* Mon Oct 27 1997 ma@suse.de
- new version 2.4.8
- spec file for autobuild provided
  - dirs below /usr/src/packages are installed mode 1777
- obsolete: patch to allow installing rpm v1 packages (from Aug  7 1997)
    Seems to be fixed in 2.4.8
- patch: always 'chdir /' before executing scripts.
- patch: remove empty dirs when installing a symlink
- patch: ignore errors when installing a symlink and called from YaST
- de.po update
* Thu Aug  7 1997 ma@suse.de
- duplicate '--nodeps' entry in rpm manpage deleted.
- quick patch to allow installing rpm v1 packages.
- workaround to skip installing a symlink (Jul 15 1997)
  is disabeled, unless environment variable RPM_IgnoreFailedSymlinks
  is set.
* Tue Jul 15 1997 ro@suse.de
- added workaround to skip installing a symlink when
  impossible to remove an existing directory
* Thu Jun 26 1997 ma@suse.de
- introducing rpm, version 2.4.1
- documentation (ascii,html) in usr/doc/packages/rpm
